@Echo Off
cls
@Echo.
@echo ************************************************************************
@echo Make       Version: 2.02         Version Date: 09 Nov 2005 16:19
@echo ************************************************************************
@echo Copy all the source files to the WebOut directory.
@echo WebOut is the root directory of the web site you are building.

@rem  Copy files to the WebOut folder, suppress overwrite and display source
@rem  and destination.
@rem  Only copy files of the specified types.

set xwmDestDir=..\WebOut

@Echo.
@echo Transforming Source .xml files into Intermediate xhtml .......
@echo This outputs as *.html files to source directory.
@echo.
rem  You probably only will want to customize the next line(s).
cscript.exe .\xwmEngine\TransformDir.wsf meetings.xml meetingsPast.xslt
cscript.exe .\xwmEngine\TransformDir.wsf meetings.xml meetingsFuture.xslt

@echo.
@echo Transforming Source files .......
@echo This outputs  *.html files to %xwmDestDir%
@echo.
cscript.exe .\xwmEngine\TransformDir.wsf /destDir:%xwmDestDir% /destExt:.html
@Echo.
@echo Copying Non XHTML/XML Source (eg *.ico *.css *.pdf *.js ...) files to %xwmDestDir% ...
@echo.
REM for /R %%f in (*.ico *.css *.pdf *.js *.jpg *.jpeg *.gif ) do xcopy %%f .\%xwmDestDir% /s/y/f

set xwmXcopyParams=/s/y/f/d
rem  Add any file types you want copied from the source to destination directory.
xcopy *.ico .\%xwmDestDir%\ %xwmXcopyParams%
xcopy *.css .\%xwmDestDir%\ %xwmXcopyParams%
xcopy *.pdf .\%xwmDestDir%\ %xwmXcopyParams%
xcopy *.js .\%xwmDestDir%\ %xwmXcopyParams%
xcopy *.jpg .\%xwmDestDir%\ %xwmXcopyParams%
xcopy *.jpeg .\%xwmDestDir%\ %xwmXcopyParams%
xcopy *.gif .\%xwmDestDir%\ %xwmXcopyParams%
xcopy *.zip .\%xwmDestDir%\ %xwmXcopyParams%

@echo.
@echo Deleting all files and folders in .\%xwmDestDir% that are not in %.\%
cscript.exe .\xwmEngine\scrubDestDir.wsf /d:.\%xwmDestDir% /s:.\

@echo.
@echo Deleting %xwmDestDir%\xwmEngine
rd %xwmDestDir%\xwmEngine /s/q

@echo.
@echo Website output to %xwmDestDir%
@echo.

@rem Remove variables
set xwmDestDir=
set xwmXcopyParams=

